UPDATE-INITRD(8)

NAME
update-initrd - generate initialization ramdisk

SYNOPSIS
update-initrd [--sysroot=sysroot]

DESCRIPTION
update-initrd generates the /boot/sortix.initrd initrd(7) containing a minimal system that searches for the root filesystem and chain boots it as described in initrd(7) and init(8). It contains an init system, fsck, filesystem drivers and configuration.

The produced minimal system contains copies of fstab(5), extfs(8), fsck.ext2(8), and init(8). If any of those files are updated then the initrd(7) should be regenerated by invoking update-initrd.

update-initrd is aware of sysmerge(8) pending upgrades and will instead invoke the new update-initrd in /sysmerge if an upgrade is pending. update-initrd is written as a script so the initrd of the new system can produced even across incompatible ABI changes.

The options are as follows:

--sysroot=sysroot
    Rather than generating an initrd(7) for the root filesystem, locate files in the sysroot directory instead and store the result as sysroot/boot/sortix.initrd.

FILES
/etc/fstab
/sbin/extfs
/sbin/fsck.ext2
/sbin/init

EXIT STATUS
update-initrd will exit 0 on success and non-zero otherwise.

SEE ALSO
fstab(5), initrd(7), disked(8), extfs(8), init(8), initrdfs(8), mkinitrd(8), sysmerge(8), update-grub(8)